Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Simple Class Reference

STK wavetable/noise instrument. More...

`#include <Simple.h>`

Inheritance diagram for stk::Simple:

List of all members.

## Public Member Functions
| Simple (void)
| Class constructor.
| ~Simple (void)
| Class destructor.
void | clear (void)
| Clear internal states.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | keyOn (void)
| Start envelope toward "on" target.
void | keyOff (void)
| Start envelope toward "off" target.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK wavetable/noise instrument.

This class combines a looped wave, a noise source, a biquad resonance filter, a one-pole filter, and an ADSR envelope to create some interesting sounds.

Control Change Numbers:

- Filter Pole Position = 2
- Noise/Pitched Cross-Fade = 4
- Envelope Rate = 11
- Gain = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Simple::Simple | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- Simple.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.